using YGNT.QuestionLibrary.Core.BaseData.PaperStructureSettingParam;

namespace YGNT.QuestionLibrary.EnumDoc
{
    public class EnumDocAppService: IEnumDocAppService
    {
        /// <summary>
        ///  答题卡样式
        /// </summary>
        /// <returns></returns>
        public AnswerSheetStyle GetAnswerSheetStyle()
        {
            return AnswerSheetStyle.机读卡;
        }

        /// <summary>
        /// 纸张大小
        /// </summary>
        /// <returns></returns>
        public AnswerSheetSize GetAnswerSheetSize()
        {
            return AnswerSheetSize.A4竖向;
        }

        /// <summary>
        /// 题型答题卡样式
        /// </summary>
        /// <returns></returns>
        public QuestionTypeStyle.QuestionTypeAnswerSheetStyle GetQuestionTypeAnswerSheetStyle()
        {
            return QuestionTypeStyle.QuestionTypeAnswerSheetStyle.自动;
        }
    }
}